From a3d92bf9924d4d1277654c885d6ed09bcb0a7969 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 12 2020 05:04:13 +0000
Subject: [PATCH 258/2232] Merge pull request #112 from dtolnay/terminate


Use terminate instead of abort in no-exceptions mode
---

diff --git a/src/cxx.cc b/src/cxx.cc
index 6656041..8834581 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -1,6 +1,6 @@
 #include "../include/cxx.h"
-#include <cstdlib>
 #include <cstring>
+#include <exception>
 #include <iostream>
 #include <memory>
 #include <stdexcept>
@@ -9,7 +9,7 @@ template <typename Exception>
 [[noreturn]] static void panic(const char *msg) {
 #if defined(RUST_CXX_NO_EXCEPTIONS)
   std::cerr << "Error: " << msg << ". Aborting." << std::endl;
-  std::abort();
+  std::terminate();
 #else
   throw Exception(msg);
 #endif

